### Signal

# RB ExtDB::store

#### Declaration

    gpointer
    store (
      RBExtDB* self,
      const GValue* data,
      gpointer user_data
    )

#### Description [src]

Emitted when a metadata item needs to be written to a local file. This only needs to be used for metadata that needs to be encoded or compressed, such as images.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`data`

  Type: `GValue`

  The data being stored.

  The data is owned by the caller of the function.

#### Return value

Type: `gpointer`

The value to write to a file.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.